# Text Editor
set -x EDITOR nvim

# Man colors
set -g man_standout -o blue
set -g man_bold -o magenta

# Aliases
alias bc "bc -l"
alias vim "nvim"
alias docker-compose "podman-compose"
alias sc "systemctl"
alias scu "systemctl --user"
alias jc "journalctl -eu"
alias jcu "journalctl --user -eu"
alias webtorrent "webtorrent -i -o /tmp/webtorrent --mpv --player-args='--sub-auto=all --sub-file-paths=Subs:subs'"

# Additional paths
set PATH $PATH $HOME/.emacs.d/bin
set PATH $PATH $HOME/.local/share/scripts

# Set up direnv
eval (direnv hook fish)
